#################################################################################
#	Copyright (C) 2007 by the Gang of 6 Pyweek4 Team			#
#	Released under the GNU LGPL 2.1						#
#################################################################################

'''Game constants which are used throughout the game'''
import os

SCREEN_WIDTH = 800
SCREEN_HEIGHT = 600
SW,SH = SCREEN_WIDTH, SCREEN_HEIGHT

TILE_WIDTH = TILE_HEIGHT = 32
TW = TH = TILE_WIDTH

FPS = 30

DATA_PATH = os.path.join(os.path.dirname(__file__),"..", "data")
IMAGE_PATH = os.path.join(DATA_PATH, "images")
MUSIC_PATH = os.path.join(DATA_PATH, "music")
SFX_PATH = os.path.join(DATA_PATH, "music")
CHR_DATA = os.path.join(DATA_PATH,"chrData")
LEVEL_DATA = os.path.join(DATA_PATH,"level")

SAVE_GAME_PATH = os.path.join(os.path.expanduser("~"),'.midnight')
SAVE_GAME_KEYS = {'level':1} #these are currently set to their defaults
GAME_DATA = None