#################################################################################
#	Copyright (C) 2007 by the Gang of 6 Pyweek4 Team			#
#	Released under the GNU LGPL 2.1						#
#################################################################################

import pygame
from pygame.rect import Rect
from pygame.locals import *
from constants import *
import sys; sys.path.insert(0, "..")
import os

pygame.init()
screen = pygame.display.set_mode((SCREEN_WIDTH,SCREEN_HEIGHT),SWSURFACE)
texture = pygame.image.load(os.path.join(IMAGE_PATH, 'textures.png'))
hudfont = pygame.font.Font(os.path.join(DATA_PATH, 'argos.ttf'),20)

HUDTEXT = "This is cool!"

MAP_WIDTH = 26 #static map width - should go in constants.py
MAP_HEIGHT = 18 #static map height - "
MAP_DEPTH = 5 #static map depth - "
TILE_UNDEFINED = 0
MAP_ARRAY = []
    #z = 0: textures
    #z = 1: trims
    #z = 2: decorations
    #z = 3: items
    #z = 5: sprites (graphical only)
INT_LEVELNUMBER = "01"
LOGICAL_ARRAY = []
    #z = 0: characters (sprites)
    #z = 1: states
    #z = 2: msg events
    #z = 4: trap events
    #z = 5: area transitions
CURRENTx = 0
CURRENTy = 0
npcCount = 0
COMBATANT = 0

enemyData = []
# The enemy array has the following attributes:
# [0] - Name (string)
# [1] - Hostile (1 for hostile 0 for apathetic)
# [2] - Exp Yield (amount of experience given to the player upon death)
# [3] - HP
# [4] - Attack BONUS
# [5] - Damage Range
# [6] - Graphic reference

itemData = []
TOTAL_ITEMS = 12
# Item format is as follows
# [0] - Name (string)
# [1] - type (armor, weapon, potion, shield)
# [2] - modifier
# [3] - tile to use

playerData = []
for x in range(30):
	playerData.append([])
	playerData[x] = 0
# The player array has the following attributes:
# [0] - Name (string)
# [1] - MaxHP
# [2] - CurrentHP
# [3] - BaseAC
# [4] - BaseAttack
# [5] - PlayerLevel
# [6] - Experience
# [7] - CurrentMap
# [8] - CurrentX
# [9] - CurrentY
# [10] - Weapon
# [11] - Armor
# [12] - Shield
# [13-28] - Inventory
# [29] - Character Sprite

currentAC = 0
currentATK = 0