#################################################################################
#	Copyright (C) 2007 by the Gang of 6 Pyweek4 Team			#
#	Released under the GNU LGPL 2.1						#
#################################################################################



import os
import pygame

from pygame.locals import *
from constants import *
from pgu import engine
from pgu import timer
from pgu import high

class MusicVariable:
	music_playing = False


class Game(engine.Game):
	def init(self):
		self.timer = timer.Timer(FPS)
		self.mode = 0
		self.screen = pygame.display.set_mode((SCREEN_WIDTH,SCREEN_HEIGHT),self.mode)
		pygame.font.init()
		try:
			pygame.mixer.init()
			self.sound = True
		except:
			self.sound = False
			
		pygame.display.set_caption("Midnight: A Pyweek4 Game")

		

	def tick(self):
		self.timer.tick()
		
	def event(self,e):
		if e.type is QUIT:
			self.state = engine.Quit(self)
			return 1
		#if e.type is KEYDOWN and e.key == K_F2:
			#if self.sound:
				#self.music ^= 1
				#pygame.mixer.music.set_volume(self.music)
			return 1

def main():
	g = Game()
	import menu
	g.run(menu.Menu(g))
	pygame.quit()


